<p align="center">
    <a href="https://andergoig.github.io/SwiftInstagram">
        <img src="https://rawgit.com/AnderGoig/SwiftInstagram/develop/.assets/SwiftInstagram-Logo.png" alt="SwiftInstagram Logo" width="700" height="200">
    </a>
</p>

<p align="center">
    <a href="https://cocoapods.org/pods/SwiftInstagram">
        <img src="https://img.shields.io/cocoapods/p/SwiftInstagram.svg"
             alt="Platforms">
    </a>
    <a href="https://developer.apple.com/swift" target="_blank">
        <img src="https://img.shields.io/badge/Swift-4.0-orange.svg?style=flat"
             alt="Swift 4.0">
    </a>
    <a href="https://travis-ci.org/AnderGoig/SwiftInstagram/branches">
        <img src="https://img.shields.io/travis/AnderGoig/SwiftInstagram/master.svg"
             alt="Travis">
    </a>
    <a href="https://andergoig.github.io/SwiftInstagram/Classes/Instagram.html" target="_blank">
        <img src="https://img.shields.io/badge/Documentation-available-blue.svg"
             alt="Documentation">
    </a>
    <a href="https://raw.githubusercontent.com/AnderGoig/SwiftInstagram/master/LICENSE">
        <img src="https://img.shields.io/cocoapods/l/SwiftInstagram.svg"
             alt="License">
    </a>
</p>

<p align="center">
    <a href="https://cocoapods.org/pods/SwiftInstagram">
        <img src="https://img.shields.io/cocoapods/v/SwiftInstagram.svg"
             alt="CocoaPods compatible">
    </a>
    <a href="https://github.com/Carthage/Carthage">
        <img src="https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat"
             alt="Carthage compatible">
    </a>
    <a href="https://github.com/apple/swift-package-manager">
        <img src="https://img.shields.io/badge/Swift%20Package%20Manager-compatible-brightgreen.svg"
             alt="Swift Package Manager">
    </a>
</p>

---

**SwiftInstagram** is a **wrapper** for the **Instagram API** written in **Swift**. It allows you to authenticate users and request data from Instagram effortlessly.

- [Requirements](#requirements)
- [Usage](#usage)
- [Contributing](#contributing)
- [Credits](#credits)
- [License](#license)
- [Author](#author)

## Requirements

- iOS 9.0+
- Xcode 9.0+

## Usage

I've prepared a [wiki page](https://github.com/AnderGoig/SwiftInstagram/wiki) where you can find tons of useful things.

* [Installation Guide](https://github.com/AnderGoig/SwiftInstagram/wiki/Installation-Guide) - Follow it to integrate SwiftInstagram into your project.
* [Authentication](https://github.com/AnderGoig/SwiftInstagram/wiki/Authentication) - To learn how to authenticate your Instagram users.
* [Data Retrieval](https://github.com/AnderGoig/SwiftInstagram/wiki/Data-Retrieval) - To start requesting some data from Instagram.
* [API Reference](https://andergoig.github.io/SwiftInstagram/Classes/Instagram.html) - For a more detailed code reference.

## Contributing

If you have feature requests or bug reports, feel free to help out by sending pull requests or by [creating new issues](https://github.com/AnderGoig/IGAuth/issues/new). Please take a moment to
review the [CONTRIBUTING](.github/CONTRIBUTING.md) guidelines.

## Credits

SwiftInstagram is brought to you by [Ander Goig](https://github.com/AnderGoig) and [contributors to the project](https://github.com/AnderGoig/SwiftInstagram/contributors). If you're using SwiftInstagram in your project, attribution would be very appreciated.

#### Companion libraries

SwiftInstagram uses [keychain-swift](https://github.com/evgenyneu/keychain-swift) by [@evgenyneu](https://github.com/evgenyneu) to safely store the access token retrieved by the authentication process.

## License

SwiftInstagram is released under the MIT license. See [LICENSE](LICENSE) for details.

## Author

Ander Goig, [goig.ander@gmail.com](mailto:goig.ander@gmail.com)

[https://github.com/AnderGoig/SwiftInstagram](https://github.com/AnderGoig/SwiftInstagram)
